### Constructor

# GObject Object new_valist

#### Declaration

    GObject*
    g_object_new_valist (
      GType object_type,
      const gchar* first_property_name,
      va_list var_args
    )

#### Description

Creates a new instance of a `GObject` subtype and sets its properties.

Construction parameters (see `G_PARAM_CONSTRUCT`, `G_PARAM_CONSTRUCT_ONLY`) which are not explicitly specified are set to their default values.

This method is not directly available to language bindings.

#### Parameters

`object_type`

  Type: `GType`

  The type id of the `GObject` subtype to instantiate.

`first_property_name`

  Type: `const gchar*`

  The name of the first property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  The value of the first property, followed optionally by more name/value pairs, followed by `NULL`.

#### Return value

Type: `GObject`

A new instance of `object_type`.

The caller of the function takes ownership of the data, and is responsible for freeing it.